Package org.eclipse.birt.chart.model.attribute

# Interface SeriesValue

All Superinterfaces:
  `ActionValue`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `SeriesValueImpl`

public interface SeriesValue extends ActionValue
A representation of the model object 'Series Value'. This type defines the value for a 'Toggle_Visibility' action.

The following features are supported:

- `Name`

See Also:
  - `AttributePackage.getSeriesValue()`

## Method Summary

Modifier and Type
Method
Description
`SeriesValue`
`copyInstance()`
`String`
`getName()`
Returns the value of the 'Name' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute. Attribute "Name" specifies the name for the series definition.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `AttributePackage.getSeriesValue_Name()`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### copyInstance

SeriesValue copyInstance()

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`